1.17.2. 경로
1.17.2.1. DiscoveryConfig 생성 링크 복사링크가 클립보드에 복사되었습니다!
POST /app.k8s.io/v1/namespaces/{namespace}/discoveryconfigs
1.17.2.1.1. 설명 링크 복사링크가 클립보드에 복사되었습니다!
DiscoveryConfig를 생성합니다.
1.17.2.1.2. 매개 변수 링크 복사링크가 클립보드에 복사되었습니다!
| 유형 | 이름 | 설명 | 스키마 |
|---|---|---|---|
| 헤더 |
COOKIE | 권한 부여: Bearer {ACCESS_TOKEN}; ACCESS_TOKEN은 사용자 액세스 토큰입니다. | string |
| 경로 |
네임스페이스 | 사용할 네임스페이스(예: default)입니다. | string |
| 본문 |
본문 | 생성할 DiscoveryConfig를 설명하는 매개변수입니다. | DiscoveryConfig |
1.17.2.1.3. 응답 링크 복사링크가 클립보드에 복사되었습니다!
| HTTP 코드 | 설명 | 스키마 |
|---|---|---|
| 200 | 성공 | 콘텐츠 없음 |
| 403 | 액세스 금지 | 콘텐츠 없음 |
| 404 | 리소스를 찾을 수 없음 | 콘텐츠 없음 |
| 500 | 내부 서비스 오류 | 콘텐츠 없음 |
| 503 | 서비스를 사용할 수 없음 | 콘텐츠 없음 |
1.17.2.1.4. 사용 링크 복사링크가 클립보드에 복사되었습니다!
-
discoveryconfigs/yaml
1.17.2.1.5. 태그 링크 복사링크가 클립보드에 복사되었습니다!
- discoveryconfigs.discovery.open-cluster-management.io
1.17.2.1.5.1. 요청 본문 링크 복사링크가 클립보드에 복사되었습니다!
{
"apiVersion": "apiextensions.k8s.io/v1",
"kind": "CustomResourceDefinition",
"metadata": {
"annotations": {
"controller-gen.kubebuilder.io/version": "v0.4.1",
},
"creationTimestamp": null,
"name": "discoveryconfigs.discovery.open-cluster-management.io",
},
"spec": {
"group": "discovery.open-cluster-management.io",
"names": {
"kind": "DiscoveryConfig",
"listKind": "DiscoveryConfigList",
"plural": "discoveryconfigs",
"singular": "discoveryconfig"
},
"scope": "Namespaced",
"versions": [
{
"name": "v1",
"schema": {
"openAPIV3Schema": {
"description": "DiscoveryConfig is the Schema for the discoveryconfigs API",
"properties": {
"apiVersion": {
"description": "APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources",
"type": "string"
},
"kind": {
"description": "Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds",
"type": "string"
},
"metadata": {
"type": "object"
},
"spec": {
"description": "DiscoveryConfigSpec defines the desired state of DiscoveryConfig",
"properties": {
"credential": {
"description": "Credential is the secret containing credentials to connect to the OCM api on behalf of a user",
"type": "string"
},
"filters": {
"description": "Sets restrictions on what kind of clusters to discover",
"properties": {
"lastActive": {
"description": "LastActive is the last active in days of clusters to discover, determined by activity timestamp",
"type": "integer"
},
"openShiftVersions": {
"description": "OpenShiftVersions is the list of release versions of OpenShift of the form \"<Major>.<Minor>\"",
"items": {
"description": "Semver represents a partial semver string with the major and minor version in the form \"<Major>.<Minor>\". For example: \"4.16\"",
"pattern": "^(?:0|[1-9]\\d*)\\.(?:0|[1-9]\\d*)$",
"type": "string"
},
"type": "array"
}
},
"type": "object"
}
},
"required": [
"credential"
],
"type": "object"
},
"status": {
"description": "DiscoveryConfigStatus defines the observed state of DiscoveryConfig",
"type": "object"
}
},
"type": "object"
}
},
"served": true,
"storage": true,
"subresources": {
"status": {}
}
}
]
},
"status": {
"acceptedNames": {
"kind": "",
"plural": ""
},
"conditions": [],
"storedVersions": []
}
}